<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.BuildResult java.util.List&lt;java.lang.String&gt; getArtifacts()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.KotlinNotebookSessionLibrariesFilter java.util.List&lt;com.intellij.openapi.roots.libraries.Library&gt; filterOutNonProjectLibraries(com.intellij.openapi.project.Project, java.util.List&lt;? extends com.intellij.openapi.roots.libraries.Library&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.409&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.DependenciesState ABSENT">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.JupyterKotlinProjectArtifactsService.SessionData boolean getAlreadyReturnedArtifacts()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.BuildResult com.intellij.kotlin.jupyter.core.projectModel.DependenciesState component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.DependenciesState com.intellij.kotlin.jupyter.core.projectModel.DependenciesState valueOf(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.JupyterKotlinProjectArtifactsService.SessionData boolean component3()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.JupyterKotlinProjectArtifactsService">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.KotlinNotebookSessionLibrariesFilter">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.KotlinNotebookSessionLibrariesFilter">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;261.17801.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.KernelJdkAlignmentCheckResult">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.KotlinNotebookSessionLibrariesFilter.Companion java.util.List&lt;com.intellij.openapi.roots.libraries.Library&gt; filterSessionLibraries(com.intellij.openapi.project.Project, java.util.List&lt;? extends com.intellij.openapi.roots.libraries.Library&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.409&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.KotlinNotebookPermanentIndexService KotlinNotebookPermanentIndexService(com.intellij.openapi.project.Project, kotlinx.coroutines.CoroutineScope)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.409&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.KotlinNotebookPermanentIndexService">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.DependenciesState com.intellij.kotlin.jupyter.core.projectModel.DependenciesState[] values()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.JupyterKotlinProjectArtifactsService.SessionData void setAlreadyReturnedArtifacts(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.BuildResult com.intellij.kotlin.jupyter.core.projectModel.DependenciesState getState()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.ExternalBuildSystemUtilsKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.BuildResult.Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.NotebookExternalBuildSystemConfigurationExtractor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.NotebookExternalBuildSystemConfigurationExtractor">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;261.17801.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.JupyterKotlinProjectArtifactsService.SessionData kotlinx.coroutines.Deferred&lt;kotlin.Pair&lt;com.intellij.kotlin.jupyter.core.projectModel.BuildResult,java.util.List&lt;java.lang.String&gt;&gt;&gt; component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.ExternalBuildSystemSetting">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.ExternalBuildSystemSetting">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;261.17801.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.JupyterKotlinProjectArtifactsService.SessionData com.intellij.kotlin.jupyter.core.projectModel.JupyterKotlinProjectArtifactsService.SessionData copy(com.intellij.jupyter.core.core.impl.file.BackedNotebookVirtualFile, kotlinx.coroutines.Deferred&lt;? extends kotlin.Pair&lt;com.intellij.kotlin.jupyter.core.projectModel.BuildResult,? extends java.util.List&lt;java.lang.String&gt;&gt;&gt;, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.JupyterKotlinProjectArtifactsService.SessionData SessionData(com.intellij.jupyter.core.core.impl.file.BackedNotebookVirtualFile, kotlinx.coroutines.Deferred&lt;? extends kotlin.Pair&lt;com.intellij.kotlin.jupyter.core.projectModel.BuildResult,? extends java.util.List&lt;java.lang.String&gt;&gt;&gt;, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.KotlinNotebookPermanentIndexService kotlinx.coroutines.CoroutineScope getCoroutineScope()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.409&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.NotebookId">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.BuildResult com.intellij.kotlin.jupyter.core.projectModel.BuildResult copy(java.util.List&lt;java.lang.String&gt;, com.intellij.kotlin.jupyter.core.projectModel.DependenciesState)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.KotlinNotebookPermanentIndexService java.util.Collection&lt;com.intellij.openapi.vfs.VirtualFile&gt; getCurrentClassRoots()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.409&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.BuildResult java.util.List&lt;java.lang.String&gt; component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.KotlinNotebookRestartNeededNotificationService">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.DependenciesState PROVIDED">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.DependenciesState kotlin.enums.EnumEntries&lt;com.intellij.kotlin.jupyter.core.projectModel.DependenciesState&gt; getEntries()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.JupyterKotlinProjectArtifactsService.SessionData com.intellij.jupyter.core.core.impl.file.BackedNotebookVirtualFile getFile()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.BuildResult Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.JupyterKotlinProjectArtifactsService.SessionData com.intellij.jupyter.core.core.impl.file.BackedNotebookVirtualFile component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.JupyterKotlinProjectArtifactsService.SessionData kotlinx.coroutines.Deferred&lt;kotlin.Pair&lt;com.intellij.kotlin.jupyter.core.projectModel.BuildResult,java.util.List&lt;java.lang.String&gt;&gt;&gt; getArtifacts()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.DependenciesState OUTDATED">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kotlin.jupyter.core.projectModel.BuildResult BuildResult(java.util.List&lt;java.lang.String&gt;, com.intellij.kotlin.jupyter.core.projectModel.DependenciesState)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
</root>
